### Name: mergeBugsData
### Title: merge the result from bugs function
### Aliases: mergeBugsData mergeBugsData.SpatialPolygonsDataFrame
###   mergeBugsData.data.frame


### ** Examples

#data(popdata)
#newdata = c("3560102"=2, "3560104"=3)
#popdatatry = mergeBugsData(popdata, newdata, by.x="CSDUID")

# if the data set is a spatial polygons data frame: 
#popdatatry = mergeBugsData.SpatialPolygonsDataFrame(popdata, newdata, by.x="CSDUID")

# if the data set is a data frame
#popdatatry = mergeBugsData.data.frame(popdata, newdata, by.x="CSDUID")

## Not run: 
##D library(glmmBUGS)
##D data(popdata)
##D data(casedata)
##D 
##D therates = getRates(casedata, popdata, ~age*sex)
##D ontario = getSMR(popdata, therates, casedata)
##D ontario@data = ontario@data[,c("CSDUID","observed","logExpected")]
##D library(spdep)
##D popDataAdjMat = poly2nb(ontario, ontario[["CDSUID"]])
##D library(glmmBUGS)
##D forBugs = glmmBUGS(formula=observed + logExpected ~ 1,
##D   effects="CSDUID", family="poisson", spatial=popDataAdjMat,
##D   data=ontario@data)
##D 
##D startingValues = forBugs$startingValues
##D 
##D source("getInits.R")
##D library(R2WinBUGS)
##D ontarioResult = bugs(forBugs$ragged, getInits, parameters.to.save = names(getInits()),
##D     model.file="model.bug", n.chain=3, n.iter=100, n.burnin=10, n.thin=2,
##D       program="winbugs", debug=TRUE)
##D 
##D data(ontarioResult)
##D ontarioParams = restoreParams(ontarioResult, forBugs$ragged)
##D ontarioSummary = summaryChain(ontarioParams)
##D ontario = mergeBugsData(ontario, ontarioSummary)
## End(Not run)




